
import React, { useState } from "react"
import { md, pki } from "node-forge"
import classNames from "classnames"
import GeneratePrivateKey from "./GeneratePrivateKey.jsx"
import KeyInfo from "./KeyInfo.jsx"
import CreateCsr from "./CreateCsr.jsx"

const CsrDialog = ({csrfToken}) => {
  const [privateKeyPem, setPrivateKeyPem] = useState(null)
  const [keys, setKeys] = useState(null)

  const handleKeyCreated = (keys, pem) => {
      setPrivateKeyPem(pem)
      setKeys(keys)
  }


  return (<>
      <div className="card m-2">
        <h3 className="card-header">Private key</h3>
        <div className="card-body">
          <GeneratePrivateKey
              onKeyCreated={(keys, pem) => handleKeyCreated(keys, pem)}
          />
          <hr />
          <h4>Key info</h4>
          <KeyInfo privateKey={keys && keys.privateKey} privateKeyPem={privateKeyPem} />
        </div>
      </div>
      <div className="card m-2">
        <h3 className="card-header">Certificate Signing Request</h3>
        <div className="card-body">
          <CreateCsr csrfToken={csrfToken} privateKey={keys && keys.privateKey} />
        </div>
      </div>
  </>)
}

export default CsrDialog
